﻿@model WIKIPRJ.ViewModels.GroupDocuments
@{
    ViewBag.Title = @Caption.Search;
    Layout = "~/Views/Shared/_GroupLayout.cshtml";
}
@*<h2>@Caption.Search</h2>*@
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <hr />
    <div class="form-horizontal">

        <div class="form-group">
            <div class="col-md-1">
                <input type="submit" value=@Caption.Search id="SearchDocuments" name="SearchDocuments" class="btn btn-success">
            </div>
            <div class="col-md-10">
                @Html.Editor("SearchDoc", new { htmlAttributes = new { @class = "form-control" } })
            </div>
        </div>
    </div>
                @*<div class="col-md-10">
                        @Html.Editor("SearchDoc", new { htmlAttributes = new { @class = "form-control" } })
                    </div>*@
}


@{ if (Model.Documents.Count > 0)
            {
        <hr />
        <table class="table table-hover">
            <tr>
                <th width="50px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().ID)
                </th>
                <th width="200px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Group.GroupName)
                </th>
                <th width="200px" class="wordwrap">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Title)
                </th>
                <th width="200px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().KeyWord)
                </th>
                <th width="35px">
                    @Html.DisplayNameFor(model => model.Documents.SingleOrDefault().Date_Doc)
                </th>
                <th width="150px">
                    عملیات
                </th>
            </tr>

            @foreach (var item in Model.Documents)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.ID)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Group.DisplayGroupName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DisplayTitle)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DisplayKeyWord)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Date_Doc)
                    </td>
                    <td>
                        @Html.ActionLink(@Caption.Context, "Context", "Documents", new { id = item.ID }, null) |
                        @Html.ActionLink(@Caption.Edit, "Edit", new { id = item.ID }) |
                        @*@Html.ActionLink(@Caption.Details, "Details", new { id=item.ID }) |*@
                        @Html.ActionLink(@Caption.Delete, "Delete", new { id = item.ID }) |
                        @Html.ActionLink(@Caption.Attachment, "Create", "Attachments", new { id = item.ID }, null)
                    </td>
                </tr>
            }

        </table>
    }
}
